# Uses of Interface
org.xnio.conduits.MessageSourceConduit

Packages that use MessageSourceConduit
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of MessageSourceConduit in org.xnio

Methods in org.xnio with parameters of type MessageSourceConduit
Modifier and Type
Method
Description
`protected void`
MessageConnection.`setSourceConduit(MessageSourceConduit conduit)`

## Uses of MessageSourceConduit in org.xnio.conduits

Classes in org.xnio.conduits with type parameters of type MessageSourceConduit
Modifier and Type
Class
Description
`class`
`AbstractMessageSourceConduit<D extends MessageSourceConduit>`
An abstract base class for filtering message source conduits.
Classes in org.xnio.conduits that implement MessageSourceConduit
Modifier and Type
Class
Description
`class`
`AbstractMessageSourceConduit<D extends MessageSourceConduit>`
An abstract base class for filtering message source conduits.
`final class`
`FramingMessageSourceConduit`
A message source conduit which implements a simple message framing protocol over a stream conduit.
`final class`
`SynchronizedMessageSourceConduit`
A synchronized message source conduit.
Methods in org.xnio.conduits that return MessageSourceConduit
Modifier and Type
Method
Description
`MessageSourceConduit`
ConduitReadableMessageChannel.`getConduit()`
Get the underlying conduit for this channel.
Methods in org.xnio.conduits with parameters of type MessageSourceConduit
Modifier and Type
Method
Description
`void`
ConduitReadableMessageChannel.`setConduit(MessageSourceConduit conduit)`
Set the underlying conduit for this channel.
Constructors in org.xnio.conduits with parameters of type MessageSourceConduit
Modifier
Constructor
Description
``
`ConduitReadableMessageChannel(Configurable configurable, MessageSourceConduit conduit)`
Construct a new instance.
``
`MessageStreamSourceConduit(MessageSourceConduit next)`
Construct a new instance.
``
`SynchronizedMessageSourceConduit(MessageSourceConduit next)`
Construct a new instance.
``
`SynchronizedMessageSourceConduit(MessageSourceConduit next, Object lock)`
Construct a new instance.